Skip to main content
POST
https://backend-develop.themarketunited.com
/
markets
/
{id}
/
orders
Submit signed order
curl --request POST \
  --url https://backend-develop.themarketunited.com/markets/{id}/orders \
  --header 'Content-Type: application/json' \
  --data '
{
  "order": {
    "salt": "<string>",
    "maker": "<string>",
    "signer": "<string>",
    "taker": "0x0000000000000000000000000000000000000000",
    "tokenId": "<string>",
    "makerAmount": "<string>",
    "takerAmount": "<string>",
    "expiration": "0",
    "nonce": "<string>",
    "feeRateBps": "<string>",
    "signature": "<string>"
  },
  "orderType": "GTC"
}
'
{
  "orderHash": "<string>",
  "status": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://unitedmarket.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required

Market id.

Body

application/json
order
object
required
orderType
enum<string>
default:GTC
Available options:
GTC,
IOC,
FOK,
POST_ONLY,
MARKET

Response

Order accepted.

orderHash
string
status
string